- Random123-1.09 Documentation

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# Random123/ars.h File Reference

`#include "features/compilerfeatures.h"`
`#include "array.h"`

Go to the source code of this file.

## Classes
class | r123::ARS1xm128i_R< ROUNDS >
class | r123::ARS4x32_R< ROUNDS >
## Namespaces
namespace | r123
## Defines
#define | ARS1xm128i_DEFAULT_ROUNDS 7
#define | ars1xm128i(c, k) ars1xm128i_R(ars1xm128i_rounds, c, k)
#define | ars4x32(c, k) ars4x32_R(ars4x32_rounds, c, k)
## Typedefs
typedef struct r123array1xm128i | ars1xm128i_ctr_t
typedef struct r123array1xm128i | ars1xm128i_key_t
typedef struct r123array1xm128i | ars1xm128i_ukey_t
typedef struct r123array4x32 | ars4x32_ctr_t
typedef struct r123array4x32 | ars4x32_key_t
typedef struct r123array4x32 | ars4x32_ukey_t
typedef ARS1xm128i_R < ars1xm128i_rounds > | r123::ARS1xm128i
typedef ARS4x32_R< ars4x32_rounds > | r123::ARS4x32
## Enumerations
enum | r123_enum_ars1xm128i { ars1xm128i_rounds = 7 }
enum | r123_enum_ars4x32 { ars4x32_rounds = 7 }
## Functions
static ars1xm128i_key_t | ars1xm128ikeyinit (ars1xm128i_ukey_t uk)
static ars1xm128i_ctr_t | ars1xm128i_R (unsigned int Nrounds, ars1xm128i_ctr_t in, ars1xm128i_key_t k)
static ars4x32_key_t | ars4x32keyinit (ars4x32_ukey_t uk)
static ars4x32_ctr_t | ars4x32_R (unsigned int Nrounds, ars4x32_ctr_t c, ars4x32_key_t k)

## Define Documentation

#define ARS1xm128i_DEFAULT_ROUNDS 7

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines